//Software exemplo para acessar a memória E2P
//do controlador OPS150

//A blibioteca Wire é utilizada para acesso a expansão de memória EEPROM
//Trata-se de uma biblioteca padrão do Arduino
#include <Wire.h>

//Definição dos pinos para Memoria externa
#define pin_E2P_SDA 19
#define pin_E2P_SCL 18

//Variaveis para E2P
#define diviceAddress 80
unsigned int address = 0;

//variáveis de controle
int E2P_Controle = 0;// 1-Para escrita, 2-Para leitura
byte E2P_Escrita = 0;
byte E2P_Leitura = 0;

#include "EEPROM_Ctrl.h"

void setup() {
  Serial.begin(115200);//USB
  
  //incio da biblioteca I2C para acesso a memória EEPROM
  Wire.begin(pin_E2P_SDA, pin_E2P_SCL);

}

void loop() {
  
  //************************************************************************************
  //Acesso a memória EEPROM
  //Cada posição de memória tem 1 byte
  //Cada página da memória tem 128 bytes
  //************************************************************************************
  //Comando de escrita
  if (E2P_Controle == 1){
    writeEEPROM(diviceAddress, address, E2P_Escrita);
    E2P_Controle = 0;
  }
  //Comando de leitura
  if (E2P_Controle == 2){
    E2P_Leitura = readEEPROM(diviceAddress, address);
    E2P_Controle = 0;
  }
  
}
